/* STYLE INPUT TEXT */
.p-inputtext {
  font-size: 12px !important;
  padding: 5px 7px 5px 7px !important;
  border-radius: 4px !important;
}

.p-inputgroup-addon {
  font-size: 12px !important;
  padding: 5px 7px 5px 7px !important;
  border-radius: 0px 4px 4px 0px !important;
  min-width: 30px !important;
  background: white !important;
}


.p-inputtext::placeholder {
  color: black;
}
.p-inputtext:disabled {
  background: #e8e8e8 !important;
  border: solid 1px #cccccc !important;
  color: black;
  font-weight: 400;
}

/* STYLE INPUT GROUP */
.p-inputgroup .p-inputtext {
  border-radius: 4px 0px 0px 4px !important;
}

.p-inputgroup .p-button {
  border-radius: 0px 4px 4px 0px !important;
}
/* END STYLE INPUT GROUP */

/* END STYLE INPUT */

/* STYLE BUTTON */
.p-button {
  border-radius: 4px !important;
  padding: 5px !important;
  font-size: 12px !important;
  text-decoration: none !important;
  white-space: nowrap !important;
  cursor: pointer !important;
  /* background-color: #007bff !important; */
  /* color: #fff !important; */
  font-weight: 0 !important;
  padding-right: 10px !important;
  padding-left: 10px !important;
}

.pad5pxLR.p-button {
  padding-right: 5px !important;
  padding-left: 5px !important;
}

.p-button .p-button-label {
  font-weight: 400 !important;
  font-size: 12px !important;
  /* padding: 0px 10px 0px 0px !important */
}

.p-button .p-button-icon-left {
  font-size: 10px !important;
  font-weight: 900 !important;
}

.p-button:hover {
  background-color: #0056b3 !important;
}

.p-button.p-button-warning:hover {
  background-color: #d87706 !important;
}

.p-button:focus,
.p-button.focus {
  outline: 0 !important;
  box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.25) !important;
}

.p-button:active,
.p-button.active {
  background-color: #0056b3 !important;
  border-color: #0056b3 !important;
  box-shadow: none !important;
}

.p-button.disabled,
.p-button:disabled {
  pointer-events: none !important;
  opacity: 0.65 !important;
}

.p-element.p-splitbutton-menubutton.p-button.p-component.p-button-icon-only {
  /* margin-left: -4px !important; */
  width: 2rem !important;
  border-radius: 0px 4px 4px 0px !important;
}

.p-element.p-splitbutton-defaultbutton.p-button.p-component.ng-star-inserted {
  border-radius: 4px 0px 0px 4px !important;
}

.custom-btn-tabel.p-button.p-button-icon-only.p-button-rounded {
  width: 1.5rem !important;
  height: 1.5rem !important;
}

.custom-btn-tabel2.p-button.p-button-icon-only.p-button-rounded {
  width: 1.8rem !important;
  height: 1.8rem !important;
}

.custom-btn-tabel2.p-button.p-button-icon-only.p-button-rounded .pi {
  font-size: 0.8rem !important;
}

.custom-btn-tabel .pi {
  font-size: 0.9rem !important;
}
body .custom-p-message .p-inline-message {
  width: 1.5rem !important;
  height: 1.5rem !important;
  min-height: 0px !important;
  padding: 0rem 0.26rem !important;
  border-radius: 4px !important;
}

.p-buttonset .p-button:first-of-type {
  border-top-right-radius: 0px !important;
  border-bottom-right-radius: 0px !important;
}

.p-buttonset .p-button:last-of-type {
  border-top-left-radius: 0px !important;
  border-bottom-left-radius: 0px !important;
}

/* .col .p-button, 
.col-1 .p-button,
.col-2 .p-button,
.col-3 .p-button,
.col-4 .p-button,
.col-5 .p-button,
.col-6 .p-button,
.col-7 .p-button,
.col-8 .p-button,
.col-9 .p-button,
.col-10 .p-button,
.col-11 .p-button,
.col-12 .p-button {
  height: 100% !important;
} */

/* END STYLE BUTTON */

/* STYLE CALENDAR */
.p-calendar-w-btn .p-datepicker-trigger {
  border-radius: 0px 4px 4px 0px !important;
}

.p-calendar-w-btn .p-inputtext {
  border-radius: 4px 0px 0px 4px !important;
}
/* thead,
tbody,
tfoot,
tr,
td,
th {
  padding: 0px !important;
} */
.p-datepicker table th {
  text-align: center !important;
}
.p-datepicker .p-datepicker-header .p-datepicker-title .p-datepicker-year,
.p-datepicker .p-datepicker-header .p-datepicker-title .p-datepicker-month {
  padding: 0px 10px 0px 10px !important;
}

.p-datepicker table td > span {
  border-radius: 10% !important;
  margin: 1px !important;
}

.p-datepicker .p-disabled {
  background: #e8e8e8;
}
/* END STYLE CALENDAR */

/* STYLE DROPDOWN */
.p-dropdown {
  border-radius: 4px !important;
  padding: 0px 5px 0px 5px !important;
  /* justify-content: space-between; */
  /* max-width: 300px !important; */
  /* min-width: 200px !important; */
}

/* .p-dropdown-items-wrapper { */
  /* max-width: 300px !important; */
  /* contain: inline-size; */
/* } */
.p-dropdown .p-dropdown-label {
  font-size: 12px !important;
  padding: 5px !important;
  min-width: 50px !important;
  max-width: fit-content !important;
  width: auto !important;
  color: black;
}

.p-dropdown .p-dropdown-label.p-placeholder {
  color: black !important;
}

.p-dropdown .p-dropdown-trigger {
  font-size: 12px !important;
  padding: 0px 0px 0px 5px !important;
  width: auto !important;
  /* margin-left: 5px !important; */
  line-height: normal !important; /* Set line-height to normal to avoid extra spacing */
  /* justify-content: right !important; */
  margin-left: auto !important;
  width: auto;
}

.p-dropdown.p-disabled {
  background: #e8e8e8 !important;
  border: solid 1px #cccccc !important;
  /* cursor: not-allowed !important; */
}

.p-dropdown-panel .p-dropdown-items {
  padding: 0px !important;
  font-size: 12px !important;
}

.p-dropdown-panel .p-dropdown-items .p-dropdown-item {
  padding: 0.5em 0.5em 0.5em 00.5em !important;
  /* max-width: 100% !important; */
  text-wrap: wrap !important;
  /* overflow: visible !important; */
}

.p-disabled,
.p-disabled * {
  background: transparent;
}
.p-dropdown-panel .p-dropdown-items .p-dropdown-item.p-highlight {
  color: #ffff !important;
  background: #007bff !important;
}
/* END STYLE DROPDOWN */

/* STYLE MULTISELECT */

.p-multiselect {
  border-radius: 4px !important;
  padding: 0px 5px 0px 5px !important;
  /* justify-content: space-between; */
  /* max-width: 300px !important; */
  /* min-width: 200px !important; */
}

/* .p-multiselect-items-wrapper { */
  /* max-width: 300px !important; */
  /* contain: inline-size; */
/* } */
.p-multiselect .p-multiselect-label {
  font-size: 12px !important;
  padding: 5px !important;
  min-width: 100px !important;
  max-width: 200px !important;
  width: auto !important;
  color: black;
}

.p-multiselect .p-multiselect-label.p-placeholder {
  color: black !important;
}

.p-multiselect .p-multiselect-trigger {
  font-size: 12px !important;
  padding: 0px 0px 0px 5px !important;
  width: auto !important;
  /* margin-left: 5px !important; */
  line-height: normal !important; /* Set line-height to normal to avoid extra spacing */
  /* justify-content: right !important; */
  margin-left: auto !important;
  width: auto;
}

.p-multiselect.p-disabled {
  background: #e8e8e8 !important;
  border: solid 1px #cccccc !important;
  /* cursor: not-allowed !important; */
}

.p-multiselect-panel .p-multiselect-items {
  padding: 0px !important;
  font-size: 12px !important;
}

.p-multiselect-panel .p-multiselect-items .p-multiselect-item {
  padding: 10px 10px 10px 10px !important;
  /* max-width: 300px !important; */
  /* overflow: visible !important; */
}

/* END STYLE MULTISELECT */

/* STYLE TABEL */
.p-table {
  width: 100% !important;
  border-spacing: 0 !important;
}

.p-table th,
.p-table td {
  padding: 0.5rem !important;
  border: 1px solid #dee2e6 !important;
}

.p-table th {
  background-color: #d7d7d7 !important;
  font-weight: bold !important;
  text-align: left !important;
}

.p-table td {
  background-color: #fff !important;
}

.p-table-striped tbody tr:nth-of-type(odd) {
  background-color: rgba(0, 0, 0, 0.05) !important;
}

.p-table-hover tbody tr:hover {
  background-color: rgba(0, 0, 0, 0.075) !important;
}

.p-table-bordered th,
.p-table-bordered td {
  border: 1px solid #dee2e6 !important;
}

.p-table-bordered {
  border: 1px solid #dee2e6 !important;
}

.p-table-resizable {
  table-layout: fixed !important;
}

.p-table-scrollable {
  overflow: auto !important;
}

.p-datatable > .p-datatable-wrapper {
  /* width: calc(100% - 250px); */
  contain: inline-size;
}

.p-datatable .p-datatable-tbody > tr > td {
  border-width: 1px !important;
  padding: 5px !important;
}

.p-datatable .p-datatable-thead > tr > th {
  padding: 5px !important;
  background: #e8e8e8 !important;
}

.p-datatable .p-datatable-tbody > tr.p-highlight {
  background: #007bff !important;
  color: #ffff !important;
}

.p-datatable .p-datatable-tbody > tr:focus {
  outline: none !important;
}
/* .p-datatable .p-datatable-header {
  padding: 0rem !important;
} */

/* STYLE PAGINATOR */

.p-paginator {
  display: flex !important;
  justify-content: center !important;
  align-items: center !important;
  /* margin-top: 20px !important; */
  font-family: "Segoe UI", Arial, sans-serif !important;
}

.p-paginator-page,
.p-paginator-current {
  background-color: #f8f9fa !important;
  color: #333 !important;
  border: 1px solid #ddd !important;
  /* padding: 5px 10px !important; */
  cursor: pointer !important;
  transition: background-color 0.3s ease, color 0.3s ease !important;
  border-radius: 0 !important;
  height: 40px !important;
  min-width: auto;
}

.p-paginator .p-paginator-current {
  background-color: #ffff !important;
  color: #6c757d !important;
  border: solid 0px white !important;
  padding-top: 0px !important;
}

.p-paginator .p-paginator-pages .p-paginator-page.p-highlight {
  background: #007bff !important;
  color: white !important;
}
.p-datatable .p-paginator-bottom {
  /* padding-right: 200px !important; */
  border-radius: 0 !important;
}

.p-paginator-current {
  background-color: #007bff !important;
  color: white !important;
  border-color: #007bff !important;
}

.p-paginator-first,
.p-paginator-prev,
.p-paginator-next,
.p-paginator-last {
  height: 40px !important;
  min-width: auto;
  border-radius: 0 !important;
  background-color: #f8f9fa !important;
  color: #333 !important;
  border: 1px solid #ddd !important;
  padding: 5px 10px !important;
  cursor: pointer !important;
  transition: background-color 0.3s ease, color 0.3s ease !important;
  margin: 0 !important;
}

.small-paginator-table .p-paginator {
  padding: 0.5rem 0.5rem !important;
}

.small-paginator-table .p-paginator-first,
.small-paginator-table .p-paginator-prev,
.small-paginator-table .p-paginator-next,
.small-paginator-table .p-paginator-last {
  height: 25px !important;
  min-width:25px !important; 
}

.small-paginator-table .p-paginator-page,
.small-paginator-table .p-paginator-current {
  height: 25px !important;
  min-width:25px !important; 
  font-size: 12px !important;
}

.small-paginator-table .p-paginator .p-dropdown {
  height: 25px !important;
  min-width:25px !important; 
}

.small-paginator-table-30px .p-paginator {
  padding: 0.5rem 0.5rem !important;
}

.small-paginator-table-30px .p-paginator-first,
.small-paginator-table-30px .p-paginator-prev,
.small-paginator-table-30px .p-paginator-next,
.small-paginator-table-30px .p-paginator-last {
  height: 30px !important;
  min-width:30px !important; 
}

.small-paginator-table-30px .p-paginator-page,
.small-paginator-table-30px .p-paginator-current {
  height: 30px !important;
  min-width:30px !important; 
  font-size: 12px !important;
}

.small-paginator-table-30px .p-paginator .p-dropdown {
  height: 30px !important;
  min-width:30px !important; 
}

body .table-text-wrap .p-datatable .p-datatable-thead > tr > th{
  text-wrap: wrap !important;
  border: 1px solid lightgrey !important;
}

body .table-text-wrap .p-datatable .p-datatable-thead > tr > td{
  text-wrap: wrap !important;
}

body .table-text-wrap2 .p-datatable .p-datatable-thead > tr > th{
  text-wrap: wrap !important;
  border: 1px solid darkgrey !important;
  color: grey !important;
}

body .table-text-wrap2 .p-datatable .p-datatable-thead > tr > td{
  text-wrap: wrap !important;
}

body .table-text-wrap3 .p-datatable .p-datatable-thead > tr > th{
  text-wrap: wrap !important;
  color: #7b7b7b !important;
}


.p-paginator-first:hover,
.p-paginator-prev:hover,
.p-paginator-next:hover,
.p-paginator-last:hover {
  background-color: #e9ecef !important;
}

.p-paginator-first.ui-state-disabled,
.p-paginator-prev.ui-state-disabled,
.p-paginator-next.ui-state-disabled,
.p-paginator-last.ui-state-disabled {
  cursor: not-allowed !important;
  opacity: 0.6 !important;
}

.p-paginator .p-paginator-pages .p-paginator-page {
  margin: 0 !important;
}

.p-paginator select {
  font-size: 12px;
  padding: 3px 6px;
}
.p-paginator .p-dropdown {
  max-height: 30px !important;
  align-items: center;
  min-width: 45px !important;
}
.p-paginator .p-dropdown .p-dropdown-label {
  padding-right: 0;
  font-size: 12px !important;
  max-width: 100px !important;
  max-height: 30px !important;
  display: contents !important;
  /* position: absolute !important; */
}
.p-paginator-first {
  border-radius: 4px 0px 0px 4px !important;
}
.p-paginator-last {
  border-radius: 0px 4px 4px 0px !important;
}

.p-paginator .p-paginator-first,
.p-paginator .p-paginator-prev,
.p-paginator .p-paginator-next,
.p-paginator .p-paginator-last {
  color: #007bff !important;
}

.p-paginator .p-paginator-pages .p-paginator-page {
  color: #007bff !important;
  font-weight: 500 !important;
}

.p-paginator .p-link:disabled {
  background: #e9e9e9 !important;
}

.p-paginator .p-paginator-current {
  font-weight: bold !important;
}
/* END PAGINATOR */

/* STYLE CUSTOM ICON SORT TABLE */
.pi-sort-alt:before {
  content: "\e915" !important;
}
.pi-sort-amount-up-alt:before {
  content: "\e914" !important;
}
.pi-sort-amount-down:before {
  content: "\e913" !important;
}

.p-datatable .p-sortable-column.p-highlight {
  background-color: #007ad9 !important;
  color: #ffff !important;
}

.p-datatable .p-sortable-column.p-highlight .p-sortable-column-icon {
  color: #ffff !important;
}
/* END CUSTOM ICON SORT TABLE */
/* END STYLE TABEL */

/* STYLE PANEL */
.p-panel .p-panel-header {
  padding: 5px 15px !important;
  font-size: 16px !important;
}
/* END STYLE PANEL */

/* STYLE RADIO BUTTON */
.p-radiobutton .p-radiobutton-box.p-highlight {
  background-color: #ffff !important;
  margin-top: 1px !important;
}

.p-radiobutton .p-radiobutton-box .p-radiobutton-icon {
  background-color: #007bff !important;
}

.p-radiobutton .p-radiobutton-box.p-disabled {
  background: #e8e8e8 !important;
  border: solid 1px #cccccc !important;
}

.p-radiobutton-box.p-highlight.p-disabled .p-radiobutton-icon {
  background-color: #111111 !important;
}
/* END STYLE RADIO BUTTON */

/* STYLE PANEL */
.p-dropdown-panel .p-dropdown-items {
  padding: 0px !important;
  font-size: 12px !important;
}

/* ENDS STYLE PANEL */

/* STYLE FIELDSET */
.p-fieldset .p-fieldset-legend {
  padding: 8px 15px 8px 15px !important;
  font-size: 12px !important;
}

.p-fieldset.p-fieldset-toggleable .p-fieldset-legend a {
  padding: 0rem !important;
}

.p-fieldset .p-fieldset-content {
  padding: 5px 10px !important;
}
/* END STYLE FIELDSET */

/* STYLE DIALOG */
.p-dialog {
  min-width: 400px !important;
  border-radius: 2px !important;
  box-shadow: none !important;
  border: 1px solid #bebebe !important;
  border-bottom: 0px !important;
}

.p-confirm-dialog {
  max-width: 500px !important;
}

.p-dialog .p-dialog-header {
  border-top-right-radius: 2px !important;
  border-top-left-radius: 2px !important;
}

.p-dialog .p-dialog-footer {
  border-bottom-right-radius: 2px !important;
  border-bottom-left-radius: 2px !important;
}

.p-dialog .p-dialog-header {
  background-color: #f4f4f4 !important;
  padding: 10px !important;
  border-bottom: 2px solid #d3d3d3 !important;
}

.p-dialog .p-dialog-header .p-dialog-title {
  padding-left: 10px !important;
  font-size: 16px !important;
}

.p-dialog .p-dialog-content {
  font-size: 14px !important;
  padding: 15px !important;
  border-bottom: 2px solid #d3d3d3 !important;
  border-radius: 2px !important;
}

.p-dialog.p-confirm-dialog .p-confirm-dialog-icon {
  font-size: 1.25rem !important;
}

.p-dialog .p-dialog-footer {
  padding: 10px !important;
  display: flex !important;
  flex-direction: row-reverse !important;
}
/* END STYLE DIALOG */

/* STYLE TOAST */
.p-toast {
  right: 15px !important;
  max-width: 300px !important;
  opacity: 1 !important;
}

.p-toast .p-toast-message {
  width: auto !important;
  white-space: normal !important;
  word-wrap: break-word !important;
  border-left: none !important;
}

.p-toast .p-toast-message .p-toast-message-content {
  padding: 10px !important;
}

.p-toast .p-toast-message .p-toast-message-content .p-toast-message-icon {
  font-size: 16px !important;
  margin-top: 5px !important;
}
.p-toast .p-toast-message .p-toast-message-content .p-toast-summary {
  font-size: 14px !important;
}

.p-toast .p-toast-message .p-toast-message-content .p-toast-detail {
  font-size: 12px !important;
  margin: 0 0 0.5rem 0 !important;
}

.p-toast
  .p-toast-message
  .p-toast-message-content
  .p-icon:not(.p-toast-icon-close-icon) {
  width: 1.5rem !important;
  height: 1.5rem !important;
}

.p-toast .p-toast-message.p-toast-message-error {
  background: #f2dedf !important; 
  color: #a1525b !important;
}
.p-toast .p-toast-message.p-toast-message-error .p-toast-message-icon, .p-toast .p-toast-message.p-toast-message-error .p-toast-icon-close{
  color: #a1525b !important;
}

.p-toast .p-toast-message.p-toast-message-success {
  background: #e4ffe4 !important; 
  color: #178C67 !important;
}
.p-toast .p-toast-message.p-toast-message-success .p-toast-message-icon, .p-toast .p-toast-message.p-toast-message-success .p-toast-icon-close{
  color: #178C67 !important;
}

.p-toast .p-toast-message.p-toast-message-warn {
  background: #fdf8e4 !important; 
  color: #8d725d !important;
}
.p-toast .p-toast-message.p-toast-message-warn .p-toast-message-icon, .p-toast .p-toast-message.p-toast-message-warn .p-toast-icon-close{
  color: #8d725d !important;
}

.p-toast .p-toast-message.p-toast-message-info {
  background: #d9edf6 !important;
  color: #698fa5 !important;
}
.p-toast .p-toast-message.p-toast-message-info .p-toast-message-icon, .p-toast .p-toast-message.p-toast-message-warn .p-toast-icon-close {
  color: #65aed7 !important;
}
/* END STYLE TOAST */

/* BLOCK UI */
.p-blockui.p-component-overlay {
  z-index: 99 !important;
  border-radius: 7px !important;
}
/* END STYLE BLOCK UI */

/* STYLE LABEL */
label {
  font-weight: 700 !important;
}
/* END LABEL */

/* STYLE SPAN */
/* span {
  font-size: 13px !important;
} */
/* END STYLE SPAN */

/* DIALOG MASK */
/* .p-dialog-mask.p-component-overlay {
  z-index: 1104 !important;
} */
/* END DIALOG MASK */

/* INLINE P-MESSAGE */
.p-inline-message {
  min-height: 30px !important;
}
.p-inline-message .p-inline-message-text {
  font-size: 12px !important;
}
.p-message .p-message-wrapper {
  padding: 0.5rem 0.5rem !important;
  font-size: 14px !important;
}
.p-message.p-message-success {
  border: none !important;
}
.p-message.p-message-info {
  border: none !important;
}
.p-message.p-message-warn {
  border: none !important;
}
.p-message.p-message-error {
  border: none !important;
}
/* END INLINE P-MESSAGE */
.layout-wrapper .layout-menu li a.more-menu.setting {
  padding: 5px 5px 5px 5px !important;
}

/* b {
  font-size: 14px !important;
} */

/* STYLE CUSTOM P-CARD */
.custom-card .p-card {
  border: solid #e2e6e9 ;
  border-radius: 3px !important;
}

.custom-card .p-card .p-card-body {
  padding: 0.5rem !important;
}

/* END CUSTOM P-CARD */

/* STYLE CUSTOM UPLOAD */
/* .custom-upload img.ng-star-inserted {
  display: none !important;
} */
/* .custom-upload div.p-fileupload-files div.ng-star-inserted div.p-fileupload-row.ng-star-inserted div{
  display: contents !important;
} */

.custom-upload .p-fileupload .p-fileupload-content{
  padding: 1rem 1rem !important;
}

.custom-upload .p-fileupload-row>div:last-child {
  justify-content: end !important;
}
.custom-upload .p-fileupload-row {
  justify-content: space-between !important;
} 
.custom-upload .p-fileupload .p-fileupload-row > div {
  padding: 0rem 1rem !important;
  display: flex !important;
  margin-left: -12% !important;
  font-weight: bold !important;
  
}
.margin-negative .p-fileupload-row {
margin-left: -75px !important;
}
.custom-upload .p-fileupload-row>div {
  width: auto !important
}

.p-fileupload .p-fileupload-buttonbar .p-button {
  min-width: 90px !important;
}
.btn-fileupload-text-wrap .p-button.p-fileupload-choose {
  text-wrap: wrap !important;
}
/* END CUSTOM UPLOAD */

/* STYLE CUSTOM UPLOAD-v2 */
/* .custom-upload img.ng-star-inserted {
  display: none !important;
} */
/* .custom-upload div.p-fileupload-files div.ng-star-inserted div.p-fileupload-row.ng-star-inserted div{
  display: contents !important;
} */

.custom-upload-2 .p-fileupload .p-fileupload-content{
  padding: 1rem 1rem !important;
}

.custom-upload-2 .p-fileupload-row>div:last-child {
  justify-content: end !important;
}
.custom-upload-2 .p-fileupload-row {
  justify-content: flex-start !important;
} 
.custom-upload-2 .p-fileupload .p-fileupload-row > div {
  padding: 0rem 1rem !important;
  /* display: flex !important; */
  margin-left: -12% !important;
  /* font-weight: bold !important; */
  flex: none;
  
}
.margin-negative .p-fileupload-row {
margin-left: -75px !important;
}
.custom-upload-2 .p-fileupload-row>div {
  /* width: auto !important */
}

.p-fileupload-2 .p-fileupload-buttonbar .p-button {
  min-width: 90px !important;
}
.btn-fileupload-text-wrap .p-button.p-fileupload-choose {
  text-wrap: wrap !important;
}
/* END CUSTOM UPLOAD-v2 */

/* BASE UPLOAD */
.sakti-upload .p-fileupload-buttonbar {
  padding: 10px 15px !important;
}
.sakti-upload .p-fileupload-buttonbar .p-button {
  padding: 3px 25px 3px 10px !important;
  font-weight: bold;
}

.sakti-upload .p-fileupload-content {
  padding: 12px !important;
}
.sakti-upload .p-fileupload-row>div {
  padding: 6px 12px !important;
  width: auto;
}
/* BASE UPLOAD END*/

/* STYLE PROGRESS BAR */
.p-progressbar .p-progressbar-value {
  background : #00aa43 !important;
}
/* END PROGRESS BAR */

/* STYLE TREE TABLE */
.p-treetable .p-treetable-thead > tr > th {
  background: #3b82f6 !important;
  padding: 1rem 1rem !important;
}

.p-treetable .p-treetable-tbody > tr.p-highlight {
  background: #3b82f6 !important;
  color: #ffff !important;
}

/* END TREE TABLE */

/* STYLE TOOLBAR */
.p-toolbar {
  padding: 10px 15px !important;
}
.custom-p-toolbar-right {
  float: right;
  margin-left: auto;
}

/* END STYLE TOOLBAR */

.p-overflow-hidden {
  overflow: hidden !important;
}

.custom-outlined-button { 
  background-color: white !important;
}
.custom-outlined-button .p-button:hover {
  background-color: whitesmoke !important;
}

.p-datepicker-trigger.p-button.p-button-icon-only {
  width: 2em;
  height: auto !important;
}

.p-button .p-button-icon.pi{
  font-size: 12px !important;
}

.p-checkbox .p-disabled {
  background: #e8e8e8 !important;
  border-color: #cccccc !important;
}

.p-checkbox .p-disabled .pi.pi-check{
  color: #171717 !important;
}

.border-ckbx-2px .p-checkbox .p-checkbox-box {
  border-radius: 2px !important;
}

.p-button.p-button-icon-only {
  width: 1.8rem !important;
}


/* CUSTOM CHECKBOX */
.custom-inputSwitch.p-inputswitch .p-inputswitch-slider {
  border-radius: 2px !important;
}

.custom-inputSwitch.p-inputswitch .p-inputswitch-slider:before {
  border-radius: 2px !important;
}

/* .custom-inputSwitch.p-inputswitch.p-inputswitch-checked .p-inputswitch-slider {
} */

.custom-inputSwitch.p-inputswitch.p-inputswitch-checked .p-inputswitch-slider:before {
  transform: translateX(1.5rem) !important;
}

.custom-inputSwitch.p-inputswitch .p-inputswitch-slider:before {
  /* height: 1.7em !important;
  width: 1.83em !important;
  margin-top: -0.91rem !important; */
  left: 0 !important;
}
/* .custom-inputSwitch.p-inputswitch .p-inputswitch-slider {
  background: white !important;
  border: 1px solid grey !important;
} */

/* CUSTOM CHECKBOX END */